<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="Kennedy Family Recipe App">
    <meta name="author" content="Patrick Kennedy">
    <title>Kennedy Family Recipe App</title>
    <!-- styles -->
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1q8mTJOASx8j1Au+a5WDVnPi2lkFfwwEAa8hDDdjZlpLegxhjVME1fgjWPGmkzs7" crossorigin="anonymous">
    <link rel="stylesheet" href="{{ url_for('static', filename='css/main.css') }}"> 
  </head>

  <body>

    <!-- Static navbar -->
    <nav class="navbar navbar-default navbar-fixed-top">
      <div class="container">

        <!-- Brand and toggle get grouped for better mobile display -->
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#recipes-navbar-collapse-1" aria-expanded="false">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <a class="navbar-brand" href="{{ url_for('recipes.public_recipes') }}">Kennedy Family Recipes</a>            
          </button>
        </div>

        <!-- Collect the nav links, forms, and other content for toggling -->
        <div class="collapse navbar-collapse" id="recipes-navbar-collapse-1">
          <ul class="nav navbar-nav">
            <li><a href="#">Breakfast Recipes</a></li>
            <li><a href="#">Lunch Recipes</a></li>
            <li><a href="#">Dinner Recipes</a></li>
            <li><a href="#">Dessert Recipes</a></li>
            <li><a href="{{ url_for('recipes.add_recipe') }}">Add Recipe</a></li>
          </ul>
          <ul class="nav navbar-nav navbar-right">
            <li><a href="#">Welcome!</a></li>
          </ul>
        </div><!--/.nav-collapse -->
      </div><!-- /.container -->
    </nav>

    <div class="container">
      <div class="content">

        <!-- flash messages -->
        {% for error_message in get_flashed_messages(category_filter=["error"]) %}
          <div class="alert alert-danger alert-dismissible">{{ error_message }}</div>
        {% endfor %}

        {% for success_message in get_flashed_messages(category_filter=["success"]) %}
          <div class="alert alert-success alert-dismissible">{{ success_message }}</div>
        {% endfor %}

        {% for info_message in get_flashed_messages(category_filter=["info"]) %}
          <div class="alert alert-info alert-dismissible">{{ info_message }}</div>
        {% endfor %}

        <!-- child template -->
        {% block content %}
        {% endblock %}

      </div>
      <div class="footer">
        <hr>
        <p>Patrick Kennedy - 2016</p>
      </div>
    </div><!-- /.container -->

    <!-- scripts -->
    <script src="//code.jquery.com/jquery-1.11.3.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js" integrity="sha384-0mSbJDEHialfmuBBQP6A4Qrprq5OVfW37PRR3j5ELqxss1yVqOtnepnHVP9aJ7xS" crossorigin="anonymous"></script>
  </body>
</html>
